haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Enum

Description

Parsing of Enums.

Synopsis

- data Enumeration = Enumeration {
  - enumMembers :: [EnumerationMember]
  - enumErrorDomain :: Maybe Text
  - enumTypeInit :: Maybe Text
  - enumDocumentation :: Documentation
  - enumCType :: Text
  - enumStorageBytes :: Int
  - enumDeprecated :: Maybe DeprecationInfo
  }
- data EnumerationMember = EnumerationMember {
  - enumMemberName :: Text
  - enumMemberValue :: Int64
  - enumMemberCId :: Text
  - enumMemberDoc :: Documentation
  }
- parseEnum :: Parser (Name, Enumeration)

# Documentation

data Enumeration Source #

Constructors

Enumeration |

Fields

- enumMembers :: [EnumerationMember]
- enumErrorDomain :: Maybe Text
- enumTypeInit :: Maybe Text
- enumDocumentation :: Documentation
- enumCType :: Text
- enumStorageBytes :: Int

  Bytes used for storage of this struct.

- enumDeprecated :: Maybe DeprecationInfo

#### Instances

Instances details

Show Enumeration Source # |
Instance details Defined in Data.GI.GIR.Enum Methods showsPrec :: Int -> Enumeration -> ShowS Source # show :: Enumeration -> String Source # showList :: [Enumeration] -> ShowS Source #

data EnumerationMember Source #

Member of an enumeration.

Constructors

EnumerationMember |

Fields

- enumMemberName :: Text
- enumMemberValue :: Int64
- enumMemberCId :: Text
- enumMemberDoc :: Documentation

#### Instances

Instances details

Show EnumerationMember Source # |
Instance details Defined in Data.GI.GIR.Enum Methods showsPrec :: Int -> EnumerationMember -> ShowS Source # show :: EnumerationMember -> String Source # showList :: [EnumerationMember] -> ShowS Source #

parseEnum :: Parser (Name, Enumeration) Source #

Parse an "enumeration" element from the GIR file.